/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { describe, it, expect } from "vitest";
import { Partners } from "../../src/config/Partners";

describe("partner objects", () => {
  it("should have unique names", () => {
    expect.assertions(1);
    const set = new Set(
      Partners.map((p) => {
        return p.name;
      }),
    );
    expect(set, "are not unique").toHaveLength(Partners.length);
  });

  it("should have unique avatars", () => {
    expect.assertions(1);
    const set = new Set(
      Partners.map((p) => {
        return p.avatar;
      }),
    );
    expect(set, "are not unique").toHaveLength(Partners.length);
  });
});
