/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * Navigation items to render on home page and
 * on main navbar.
 */
export const NavItems = [
  { href: "/about", text: "About Naomi" },
  { href: "/manual", text: "User Manual" },
  { href: "/work", text: "Employment History" },
  { href: "/contact", text: "Contact Us" },
  { href: "/certs", text: "Certifications" },
  { href: "/reviews", text: "Reviews" },
  { href: "/games", text: "Game Screenshots" },
  { href: "/team", text: "The NHCarrigan Team" },
  { href: "/polycule", text: "Polycule" },
  { href: "/art", text: "Art of Naomi" },
  { href: "/manifesto", text: "Transfemme Manifesto" },
  { href: "/ask", text: "Ask Me Anything!" },
  { href: "/play", text: "Play with Naomi" },
  { href: "/tech", text: "Technologies" },
  { href: "/contribute", text: "Contribute to our Projects" },
  { href: "/koikatsu", text: "Koikatsu Scenes" },
  { href: "/ref", text: "Reference Sheet" },
  { href: "/projects", text: "Our Projects" },
  { href: "/sales", text: "Sales Inquiries" },
  { href: "/newsletter", text: "Newsletter" },
  { href: "/appeal", text: "Sanction Appeals" },
  { href: "https://games.nhcarrigan.com", text: "Game Dev" },
  { href: "https://merch.nhcarrigan.link", text: "Merchandise" },
  { href: "https://docs.nhcarrigan.com", text: "Documentation" },
  { href: "https://chat.nhcarrigan.com", text: "Support" },
].sort((a, b) => {
  return a.text.localeCompare(b.text);
});
